Bug 197949 - amd8111e driver bug message on Celestica A8440
Summary: amd8111e driver bug message on Celestica A8440
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 4.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: John W. Linville
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-07-07 15:47 UTC by Nicolas Joly
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version: RHBA-2007-0304
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-08 02:31:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
amd8111e-napi-poll.patch (2.69 KB, patch)
2006-07-07 17:38 UTC, John W. Linville
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0304 normal SHIPPED_LIVE Updated kernel packages available for Red Hat Enterprise Linux 4 Update 5 2007-04-28 18:58:50 UTC

Description Nicolas Joly 2006-07-07 15:47:17 UTC
Description of problem:

We got a Celestica A8440 server with an amd8111 network interface, and this
interface generate numerous `Driver bug! interrupt while in poll' lines when used.

eth2: AMD-8111e Driver Version: 3.0.5
eth2: [ Rev 3 ] PCI 10/100BaseT Ethernet xx:xx:xx:xx:xx:xx 

Version-Release number of selected component (if applicable):
kernel-smp-2.6.9-34.0.1.EL

How reproducible:
Always.

Steps to Reproduce:
1. Set all network interfaces (2 tg3, and 1 amd8111e).
2. Generate some traffic on amd8111e interface (some big ftp transfert).
3. Watch `Driver bug!' messages on console.
  
Actual results:
`Driver bug! interrupt while in poll' in console with some traffic on the interface.

Expected results:
No messages on console.

Additional info:
This issue seems to have been resolved in vanilla 2.6.12-rc6 kernel:
Liu Tao: drivers/net/amd8111e.c: fix NAPI interrupt in poll

Comment 1 John W. Linville 2006-07-07 17:38:21 UTC
Created attachment 132072 [details]
amd8111e-napi-poll.patch

Comment 2 John W. Linville 2006-07-07 20:43:59 UTC
Test kernels w/ above patch are available here:

   http://people.redhat.com/linville/kernels/rhel4/

Please give them a try and post the results here...thanks!

Comment 3 Nicolas Joly 2006-07-10 10:05:37 UTC
I just installed the `kernel-smp-2.6.9-40.1.EL.jwltest.149.x86_64.rpm', and does
not see the `Driver bug!' messages anymore. This is with the same ftp download
that triggered the problem before. Looks promising ...


Comment 5 RHEL Product and Program Management 2006-09-07 19:10:04 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 6 RHEL Product and Program Management 2006-09-07 19:10:10 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 8 Jason Baron 2006-09-13 15:12:53 UTC
committed in stream U5 build 42.9. A test kernel with this patch is available
from http://people.redhat.com/~jbaron/rhel4/


Comment 11 Red Hat Bugzilla 2007-05-08 02:31:02 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0304.html


Note You need to log in before you can comment on or make changes to this bug.